## Hierarchy For Package org.opengis.feature

Package Hierarchies:
  All Packages

## Class Hierarchy

- Object
  - EventObject (implements Serializable)
    - FeatureEvent
    - FeatureStoreEvent
  - Throwable (implements Serializable)
    - Exception
      - IOException
        - FeatureStoreException
      - RuntimeException
        - BackingStoreException

## Interface Hierarchy

- EventListener
  - FeatureListener
  - FeatureStoreListener
- FeatureFactory
- FeatureStore
- FeatureVisitor
- LockResponse
- Property
  - Association
  - Attribute
    - ComplexAttribute
      - Feature
        - FeatureCollection
          - DataFeatureCollection
    - GeometryAttribute
- Query
- Transaction
- Transaction.State

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.